Package org.apache.qpid.proton.reactor.impl

# Class Address

java.lang.Object
org.apache.qpid.proton.reactor.impl.Address

public class Address extends Object
Address

## Constructor Summary

Constructors
Constructor
Description
`Address()`
`Address(String address)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`String`
`getDefaultPort()`
`String`
`getHost()`
`String`
`getImpliedPort()`
`String`
`getName()`
`String`
`getPass()`
`String`
`getPort()`
`String`
`getScheme()`
`String`
`getUser()`
`boolean`
`isPassive()`
`void`
`setHost(String host)`
`void`
`setName(String name)`
`void`
`setPass(String pass)`
`void`
`setPort(String port)`
`void`
`setScheme(String scheme)`
`void`
`setUser(String user)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Address

public Address()

### Address

public Address(String address)

## Method Details

### clear

public void clear()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### isPassive

public boolean isPassive()

### getScheme

public String getScheme()

### getUser

public String getUser()

### getPass

public String getPass()

### getHost

public String getHost()

### getPort

public String getPort()

### getImpliedPort

public String getImpliedPort()

### getDefaultPort

public String getDefaultPort()

### getName

public String getName()

### setScheme

public void setScheme(String scheme)

### setUser

public void setUser(String user)

### setPass

public void setPass(String pass)

### setHost

public void setHost(String host)

### setPort

public void setPort(String port)

### setName

public void setName(String name)